sensorfw: PoseData Class Reference

sensorfw

Public Types | Public Member Functions | Public Attributes | List of all members
PoseData Class Reference

Datatype for device pose interpretation. More...

`#include <posedata.h>`

Inheritance diagram for PoseData:

## Public Types
enum | Orientation { Undefined = 0 , LeftUp , RightUp , BottomUp , BottomDown , FaceDown , FaceUp }
| Possible device postures. More...

## Public Member Functions
| PoseData ()
| Constructor. More...
| PoseData (Orientation orientation)
| Constructor. More...
| PoseData (const quint64 &timestamp, Orientation orientation)
| Constructor. More...
Public Member Functions inherited from TimedData
| TimedData (const quint64 &timestamp)
| Constructor. More...

## Public Attributes
PoseData::Orientation | orientation_
| Device Orientation. More...
Public Attributes inherited from TimedData
quint64 | timestamp_
| monotonic time (microsec) More...

## Detailed Description

Datatype for device pose interpretation.

Definition at line 34 of file posedata.h.

## Member Enumeration Documentation

## ◆ Orientation

enum PoseData::Orientation

Possible device postures.

Note
  The interpretation algorithm for orientation currently relies on the integer values of the enumeration. Thus changing the names for the orientation states is completely ok (for sensord, client apps may disagree). Possible new values must be appended to the list and the order of values must not be changed!

Device side naming:

                       Top

                   ----------
                  /  NOKIA  /|
                 /-------- / |
                //       //  /
               //       //  /
       Left   //  Face //  /    Right
             //       //  /
            //       //  /
           /---------/  /
          /    O    /  /
         /         /  /
         ----------  /
         |_________!/

           Bottom

Device orientation.

Enumerator
Undefined | Orientation is unknown.
LeftUp | Device left side is up.
RightUp | Device right side is up.
BottomUp | Device bottom is up.
BottomDown | Device bottom is down.
FaceDown | Device face is down.
FaceUp | Device face is up.

Definition at line 73 of file posedata.h.

## Constructor & Destructor Documentation

## ◆ PoseData() [1/3]

PoseData::PoseData | ( |  | ) |
| inline

Constructor.

Definition at line 89 of file posedata.h.

## ◆ PoseData() [2/3]

PoseData::PoseData | ( | Orientation | orientation | ) |
| inline

Constructor.

Parameters

  orientation | Initial value for orientation.

Definition at line 95 of file posedata.h.

## ◆ PoseData() [3/3]

PoseData::PoseData | ( | const quint64 & | timestamp,
|  | Orientation | orientation
| ) |  |
| inline

Constructor.

Parameters

  timestamp | Initial value for timestamp.
  orientation | Initial value for orientation.

Definition at line 102 of file posedata.h.

## Member Data Documentation

## ◆ orientation_

PoseData::Orientation PoseData::orientation_

Device Orientation.

Definition at line 84 of file posedata.h.

The documentation for this class was generated from the following file:

- datatypes/posedata.h